Bug 585138 - (python-hwdata) Review Request: python-hwdata - Python bindings to hwdata package
Review Request: python-hwdata - Python bindings to hwdata package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 04:37 EDT by Miroslav Suchý
Modified: 2010-04-30 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-hwdata-1.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 13:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-04-23 04:37:03 EDT
SPEC: http://miroslav.suchy.cz/fedora/python-hwdata/python-hwdata.spec
SRC.RPM: http://miroslav.suchy.cz/fedora/python-hwdata/python-hwdata-1.0-1.el6.src.rpm

rpmlint /tmp/spacewalk-build/rpmbuild-python-hwdata-1.0-1/noarch/python-hwdata-1.0-1.el6.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint /tmp/spacewalk-build/rpmbuild-python-hwdata-1.0-1/python-hwdata-1.0-1.el6.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji scratch build:
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2133544
Comment 1 Thomas Spura 2010-04-23 14:49:59 EDT
Sadly, this package does not work yet with python3 :(
$ python3
iPython 3.1.2 (r312:79147, Apr  1 2010, 03:31:01) 
[GCC 4.4.3 20100226 (Red Hat 4.4.3-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import hwdata
>>> u = hwdata.USB()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "hwdata.py", line 36, in __init__
    for line in open(self.filename).readlines():
  File "/usr/lib64/python3.1/codecs.py", line 300, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xae in position 2603: unexpected code byte

What are your plans about supporting python3 as well?
Comment 2 Thomas Spura 2010-04-23 15:01:24 EDT
Review:

Good:
- name ok
- BR/R ok
- %install ok
- %clean there
- noarch ok
- no libs
- no .la
- license ok GPLv2
- sources match upstream: 531508df9067f13f7494e6b5bd3df474
- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2133544
- rpmlint ok
  $rpmlint ./python-hwdata-1.0-1.fc13.src.rpm noarch/python-hwdata-1.0-1.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Needswork:
- %files partly ok
  What do you mean with %doc html*?
  Do you want %doc html or %doc html/* ?
  But either way not what you wrote above...
- url partly ok / it's part of the spacewalk software, but there isn't this package menioned or didn't I found it on the first sight?
  It's even not on:
  http://spacewalk.redhat.com/yum/0.8/Fedora/12/i386/
  Or is this version to new to be there?


#############################################################################

Fixing the URL/setting up a upstream section explainging this python snipped
and %doc should not be a problem...

#############################################################################

APPROVED
Comment 3 Miroslav Suchý 2010-04-26 10:35:04 EDT
> What are your plans about supporting python3 as well?
this my firts module where somebody requested python3 support... I look into it and do some changes, but that decoding on usb.ids still make me problem as open(filename) and open(filename, encoding) are incompatible. I try to do something about it, but you know ... patches are welcome :)

> Or is this version to new to be there?
Yes, it is too new. It born inside rhn-client-tools package as part of obsoleting hal and since it is quite general and McGrath was interested in this module too I extraced that code and made it standalone. So it is not even in any Spacewalk release yet.
Comment 4 Miroslav Suchý 2010-04-26 10:37:09 EDT
New Package CVS Request
=======================
Package Name: python-hwdata
Short Description: Python bindings to hwdata package
Owners: msuchy
Branches: EL-5, F-12, F-13
InitialCC:
Comment 5 Jason Tibbitts 2010-04-28 22:13:32 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-04-29 04:08:58 EDT
python-hwdata-1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-hwdata-1.2-1.fc13
Comment 7 Fedora Update System 2010-04-30 13:12:16 EDT
python-hwdata-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.